package com.template.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.SystemMenu;
import com.template.model.result.CommonResult;
import com.template.model.vo.SystemMenuVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-03-30
 */
public interface SystemMenuService extends IService<SystemMenu> {

    CommonResult<List<SystemMenu>> getSystemMenus();

    CommonResult insertSystemMenus(SystemMenu systemMenu);

    CommonResult deleteSystemMenu(Integer userID);

    CommonResult<List<SystemMenu>> getSystemMenusByParentId(Long parentId);

    //新增播放记录
    CommonResult<Integer> insertPlaybackRecord(SystemMenu systemMenu);

    CommonResult<List<SystemMenu>> getPlaybackRecords();

    CommonResult<List<SystemMenuVo>> getPlaybackRecordBySql();
}
